
QGIS Application - Bug report #6899

Drag and drop designer uses first field after project reload

2012-12-19 02:30 PM - Nathan Woodrow

Status: Closed

Priority: Normal

Assignee:

Category: GUI
Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16024

Description

The new drag and drop designer ability in the Fields tab uses the first field for all fields defined in the designer when reloading project.

Hard to explain so here are the steps

    1. Change to Drag and drop designer in Fields tab for layer

    2. Add Tab group

    3. Drag a few selected fields into the tab

    4. Apply

    5. Identify feature - All fields are mapped correctly

    6. Save and reopen project

    7. Identify feature - All fields are mapped to the first field.

    8. Open Layer Properties - Hit Apply

    9. Identify feature - All fields are mapped correctly
History

#1 - 2012-12-20 02:10 AM - Giovanni Manghi

shouldn't we tag as "blockers" any new feature that isn't working as it should be? Cheers!

#2 - 2012-12-30 09:51 AM - Giovanni Manghi

- Priority changed from High to Normal

#3 - 2013-01-07 09:32 AM - Matthias Kuhn

Ouch, that one rendered this feature pretty useless.

Awaiting pull https://github.com/qgis/Quantum-GIS/pull/377
https://github.com/qgis/Quantum-GIS/pull/377


#4 - 2013-01-07 11:54 PM - Matthias Kuhn

- Status changed from Open to Closed

Fixed: commit:6b231a1

Files

right.png 13.8 KB 2012-12-19 Nathan Woodrow

wrong.png 13.1 KB 2012-12-19 Nathan Woodrow

setup.png 78.1 KB 2012-12-19 Nathan Woodrow

2024-03-20 2/2


